Bug 26756 - Fix quotes showing behind some system preference descriptions
Summary: Fix quotes showing behind some system preference descriptions
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2020-10-20 14:36 UTC by Katrin Fischer
Modified: 2020-11-17 20:46 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.06


Attachments
Bug 26756: Fix quotes showing behind some system preference descriptions (1.94 KB, patch)
2020-10-20 16:09 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26756: Fix quotes showing behind some system preference descriptions (1.99 KB, patch)
2020-10-20 23:41 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 26686: Fix sorting of "updated on" and "time created" on notices tab (2.32 KB, patch)
2020-10-20 23:53 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-10-20 14:36:55 UTC
Some display issues with an additional quote showing behind some preference descriptions:

- AllowPatronToSetCheckoutsVisibilityForGuarantor
- AllowPatronToSetFinesVisibilityForGuarantor
Comment 1 Owen Leonard 2020-10-20 16:09:40 UTC
Created attachment 112052 [details] [review]
Bug 26756: Fix quotes showing behind some system preference descriptions

This patch adds matching quotes to two OPAC preference descriptions
which were missing them.

To test, apply the patch and go to Administration -> System preferences.

- Open the "OPAC" tab.
- Check the descriptions of these preferences:
  - AllowPatronToSetCheckoutsVisibilityForGuarantor
  - AllowPatronToSetFinesVisibilityForGuarantor

There should be no trailing quotation mark.
Comment 2 Katrin Fischer 2020-10-20 23:41:49 UTC
Created attachment 112079 [details] [review]
Bug 26756: Fix quotes showing behind some system preference descriptions

This patch adds matching quotes to two OPAC preference descriptions
which were missing them.

To test, apply the patch and go to Administration -> System preferences.

- Open the "OPAC" tab.
- Check the descriptions of these preferences:
  - AllowPatronToSetCheckoutsVisibilityForGuarantor
  - AllowPatronToSetFinesVisibilityForGuarantor

There should be no trailing quotation mark.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Katrin Fischer 2020-10-20 23:42:33 UTC
Obvious fix - passing QA :)
Comment 5 Jonathan Druart 2020-10-25 23:09:38 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-11-13 21:42:01 UTC
backported to 20.05.x for 20.05.06
Comment 7 Aleisha Amohia 2020-11-17 05:00:22 UTC
enhancement, not backported to 19.11.x